Bug#886324: gajim: Crashes when opening Preferences without running pulseaudio

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#886324: gajim: Crashes when opening Preferences without running pulseaudio

Fritz Reichwald-2
Package: gajim
Version: 1.0.0~alpha2-1
Severity: normal

Hi,

I'm running plain alsa on my system.
Gajim works fine until I try to open the Preferences then it crashes.
When I start pulseaudio beforehand it works fine.
The message I get from the console is:
Assertion 'c' failed at pulse/introspect.c:2043, function
pa_context_move_source_output_by_name(). Aborting.
Aborted (core dumped)

Please contact me if you need more output or some other tests I should
execute on my system.

Best regards
Fritz

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (750, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 4.15.0-rc5-re4son+ (SMP w/4 CPU cores)
Locale: LANG=en_IE.utf8, LC_CTYPE=en_IE.utf8 (charmap=UTF-8), LANGUAGE=en_IE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages gajim depends on:
ii  gir1.2-gtk-3.0    3.22.26-2
ii  python3           3.6.4~rc1-2
ii  python3-gi        3.26.1-2
ii  python3-gi-cairo  3.26.1-2
ii  python3-idna      2.5-1
ii  python3-nbxmpp    0.6.2-1
ii  python3-openssl   17.5.0-1
ii  python3-pyasn1    0.1.9-2

Versions of packages gajim recommends:
ii  alsa-utils                         1.1.3-1
ii  aspell-en [aspell-dictionary]      2017.08.24-0-0.1
ii  ca-certificates                    20170717
ii  dbus                               1.12.2-1
ii  dunst [notification-daemon]        1.2.0-2
ii  fonts-noto-color-emoji             0~20171204-1
ii  gajim-omemo                        2.5.4-1
ii  gajim-pgp                          1.2.1-2
ii  gir1.2-farstream-0.2               0.2.8-2
ii  gir1.2-geoclue-2.0                 2.4.7-1
ii  gir1.2-gspell-1                    1.6.1-1
ii  gir1.2-gst-plugins-base-1.0        1.12.4-1
ii  gir1.2-gstreamer-1.0               1.12.4-1
ii  gir1.2-gupnpigd-1.0                0.2.4-2
ii  gir1.2-networkmanager-1.0          1.10.2-1
ii  gir1.2-secret-1                    0.18.5-5
ii  gnome-shell [notification-daemon]  3.26.2-2
pn  gstreamer0.10-plugins-ugly         <none>
ii  notification-daemon                3.20.0-2
ii  pulseaudio-utils                   11.1-4
ii  python3-crypto                     2.6.1-8
ii  python3-dbus                       1.2.4-1+b4
ii  python3-gnupg                      0.4.1-1
ii  python3-pil                        4.3.0-2
pn  python3-precis-i18n                <none>

Versions of packages gajim suggests:
ii  avahi-daemon      0.7-3
ii  libxss1           1:1.2.2-1+b2
ii  nautilus-sendto   3.8.6-2
pn  python3-avahi     <none>
pn  python3-gconf     <none>
pn  python3-gnome2    <none>
pn  python3-kerberos  <none>
ii  python3-pycurl    7.43.0-2+b1

-- no debconf information

Reply | Threaded
Open this post in threaded view
|

Bug#886324: confirm

Matthias Fritzsche
I confirm this bug.

Pulseaudio does not need to be started before gajim. It is enough to
start pulseaudio before opening the preferences.

There is also an upstream issue at
https://dev.gajim.org/gajim/gajim/issues/8797

Reply | Threaded
Open this post in threaded view
|

Bug#886324: gajim: Crashes when opening Preferences without running pulseaudio

Andrey Gursky-2
In reply to this post by Fritz Reichwald-2
Hi,

I've stumbled over the same issue and looked deeper [1]. Now it is
supposed to be fixed [2].

Andrey

[1] https://dev.gajim.org/gajim/gajim/issues/8797
[2]
https://dev.gajim.org/gajim/gajim/commit/040521397e96535867be96c30b7fbf7803175824